> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ecuador company

> Get one company from the Ecuador registry (Superintendencia de Compañías) by expediente number or RUC: expediente, RUC and registered name. 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-ec-companies
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
paths:
  /functions/v1/run-ec-companies:
    post:
      tags:
        - Company Registries
      summary: Ecuador company
      description: >-
        Get one company from the Ecuador registry (Superintendencia de
        Compañías) by expediente number or RUC: expediente, RUC and registered
        name. 5 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                company:
                  description: Expediente or RUC. e.g. 7154
                  type: string
              required:
                - company
            example:
              company: '7154'
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  company:
                    type: string
                  company_id:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      company:
                        type: object
                        properties:
                          registration_number:
                            type: string
                          ruc:
                            type: string
                          name:
                            type: string
                          status: {}
                          address: {}
                          url:
                            type: string
                          company_type: {}
                          incorporation_date: {}
                          open_data_files:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                description:
                                  type: string
                                url:
                                  type: string
                      blocked:
                        type: boolean
                      pages_opened:
                        type: integer
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: ec_companies
                company: '7154'
                company_id: '7154'
                human: >-
                  # Ecuador — Superintendencia de Compañías — company


                  - **Number:** 7154

                  - **Pages opened:** 1

                  - **Proxy traffic:** 1.2 KB

                  - **Name:** PROCESADORA NACIONAL DE ALIMENTOS C.A. PRONACA

                  - **Source:**
                  https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf
                machine:
                  company:
                    registration_number: '7154'
                    ruc: '1790319857001'
                    name: PROCESADORA NACIONAL DE ALIMENTOS C.A. PRONACA
                    status: null
                    address: null
                    url: >-
                      https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf
                    company_type: null
                    incorporation_date: null
                    open_data_files:
                      - name: bi_compania.csv
                        description: 'Companies: expediente, RUC, name, type, province'
                        url: >-
                          https://appscvsmovil.supercias.gob.ec/ranking/recursos/bi_compania.csv
                      - name: bi_ranking.csv
                        description: Yearly financials and CIIU codes per company
                        url: >-
                          https://appscvsmovil.supercias.gob.ec/ranking/recursos/bi_ranking.csv
                  blocked: false
                  pages_opened: 1
                  proxy_traffic_bytes: 1199
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.